MeatAxe: Module Structure

MeatAxe 2.4

- Main Page
- Related Pages
- Modules
- Data Structures

Data Structures | Functions
Module Structure

## Data Structures
class | CfInfo
| Constituent data structure. More...
class | Lat_Info
| Module Structure Information. More...
## Functions
int | Lat_ReadInfo (Lat_Info *li, const char *basename)
| Read a Lattice Information File.
int | Lat_WriteInfo (const Lat_Info *li)
| Write a Lattice Information File.
const char * | Lat_CfName (const Lat_Info *li, int cf)
| Make Constituent Name.
int | Lat_AddSocle (Lat_Info *li, int *mult)
| Add a Layer to the Socle Series.
int | Lat_AddHead (Lat_Info *li, int *mult)
| Add a Layer to the Radical Series.
MatRep_t * | Lat_ReadCfGens (Lat_Info *info, int cf, int flags)
| Load a Constituent.

## Function Documentation

const char * Lat_CfName | ( | const Lat_Info * | li,
|  | int | cf
| ) |  |

Make Constituent Name.

This function returns the name of the cf-th constituent of a module. The constituent name consists of the dimension and an appendix which is built from the `num` field in the constituent's data structure. Usually the appendix is a single letter ('a', 'b', ...). If there are more than 26 constituents with the same dimension, a two-letter appendix (`aa', `ab', etc.) is used.

Note: The return value points to a static buffer which is overwritten at each call. The constituent data inside li must have been set up properly, i.e., the module must have been chopped.

Parameters:

  li | Constituent info structure.
  cf | Index of the constituent.

Returns:
  Pointer to the constituent name (without base name).

MatRep_t * Lat_ReadCfGens | ( | Lat_Info * | info,
|  | int | cf,
|  | int | flags
| ) |  |

Load a Constituent.

This function reads the generators of one constituent of a module and optionally performs some basic operations (invert, transpose) on the generators. flags may be any combination of the following values:

- `LAT_RG_STD:` Read generators in standard basis (file XY.std.N). These files are created by pwkond. Default is to read the generators in "random" basis as they are produced by chop.
- `LAT_RG_INVERT:` Invert the generators.
- `LAT_RG_TRANSPOSE:` Transpose the generators.

Parameters:

  info | Pointer to the lattice information structure.
  cf | Number of constituent to load.
  flags | Optional flags (see below).

Returns:
  Pointer to a matrix representation of the specified constituent, or 0 on error.

int Lat_ReadInfo | ( | Lat_Info * | li,
|  | const char * | basename
| ) |  |

Read a Lattice Information File.

This funktion reads a .cfinfo file and stores the data into a Lat_Info structure.

Parameters:

  li | Pointer to the data structure.
  basename | Base name (without the trailing ".cfinfo").

Returns:
  0 on success, -1 on error.

int Lat_WriteInfo | ( | const Lat_Info * | li | ) |

Write a Lattice Information File.

This funktion writes the contents of a Lat_Info structure into a file. The file name is constructed from the `BaseName` field of the structure by appending ".cfinfo".

Parameters:

  li | Pointer to the data structure.

Returns:
  0 on success, -1 on error.